Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.util
Class DefaultAntTaskFactory

    java.lang.Object
      org.apache.cactus.integration.ant.util.DefaultAntTaskFactory

All Implemented Interfaces:
  AntTaskFactory

public class DefaultAntTaskFactory
extends java.lang.Object
implements AntTaskFactory

Default `AntTaskFactory` for creating Ant tasks.

Version:
  $Id: DefaultAntTaskFactory.java 239003 2004-05-31 20:05:27Z vmassol $

Constructor Summary
`DefaultAntTaskFactory(org.apache.tools.ant.Project theProject, java.lang.String theCurrentTaskName, org.apache.tools.ant.Location theCurrentLocation, org.apache.tools.ant.Target theCurrentTarget)`

Method Summary
`org.apache.tools.ant.Task` | `createTask(java.lang.String theName)` Returns the task that is mapped to the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAntTaskFactory

    public DefaultAntTaskFactory(org.apache.tools.ant.Project theProject,
                                 java.lang.String theCurrentTaskName,
                                 org.apache.tools.ant.Location theCurrentLocation,
                                 org.apache.tools.ant.Target theCurrentTarget)

Parameters:
  `theProject` - the current project
  `theCurrentTaskName` - the current Ant task name
  `theCurrentLocation` - the current task location
  `theCurrentTarget` - the current target being executed

Method Detail

### createTask

    public org.apache.tools.ant.Task createTask(java.lang.String theName)

  Description copied from interface: `AntTaskFactory`
  Returns the task that is mapped to the specified name. Implementations of this interface should correctly initialize the task by setting the name, the project and optionally the owning target.

  Specified by:
    `createTask` in interface `AntTaskFactory`
  Parameters:
    `theName` - The logical name of the task
  Returns:
    A new instance of the task mapped to the name, or `null` if a corresponding task could not be created
  See Also:
    `AntTaskFactory.createTask(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.